TEX2DARRAYFETCH(3Cg)

NAME
tex2DARRAYfetch - performs an unfiltered texture lookup in a given sampler array.

SYNOPSIS
  float4 tex2DARRAYfetch(sampler2DARRAY samp, int4 s)
  float4 tex2DARRAYfetch(sampler2DARRAY samp, int4 s, int texelOff)

  int4 tex2DARRAYfetch(isampler2DARRAY samp, int4 s)
  int4 tex2DARRAYfetch(isampler2DARRAY samp, int4 s, int texelOff)

  unsigned int4 tex2DARRAYfetch(usampler2DARRAY samp, int4 s)
  unsigned int4 tex2DARRAYfetch(usampler2DARRAY samp, int4 s, int texelOff)

PARAMETERS

samp
    Sampler array to lookup.

s   Coordinates to perform the lookup, the layer is selected by the component right after the regular coordinates, the level of detail is provided by the last component of the coordinate vector.

texelOff
    Offset to be added to obtain the final texel.

DESCRIPTION
Performs an unfiltered texture lookup in sampler array samp using coordinates s. The layer to be accessed is selected by the component right after the regular coordinates, the level of detail is provided by the last component of the coordinate vector. May use texel offset texelOff to compute final texel.

PROFILE SUPPORT
tex2DARRAYfetch is only supported in gp4 and newer profiles.

SEE ALSO
tex2Dfetch